Bug 111044 - ant clean doesn't remove all directories from $CCM_WEB_HOME/webapps
ant clean doesn't remove all directories from $CCM_WEB_HOME/webapps
Status: CLOSED RAWHIDE
Product: Red Hat Web Application Framework
Classification: Retired
Component: dev environment (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
Jon Orris
:
Depends On:
Blocks: 109665
  Show dependency treegraph
 
Reported: 2003-11-26 12:44 EST by Daniel Berrange
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-03 15:01:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-11-26 12:44:49 EST
Description of problem:
The ant 'clean' task calls clean-deploy-[appname] on each app listed
in project.xml. This will delete from the WEB-INF/lib and either ROOT/
or [appname]] directories. There are a number of problems with this:

* WEB-INF/lib is shared, so it causes other application's files to be
removed
* ROOT is shared, so again more than just that application's files are
remove.
* If you change the webapp that an application is deployed to, run
ccm-configure.sh & then run 'ant clean' the old deployment directory
will never be cleaned up

The per-application clean-deploy-XXX targets should just be combined
into a single 'clean-deploy' target that removes the entirity of
$CCM_WEB_HOME/webapps.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Deploy an app into a webapp called 'myapp'
2. Change application.xml setting webapp to 'ROOT'
3. Run ccm-configure.sh
4. Run ant clean
  
Actual results:
$CCM_WEB_HOME/webapps/mywapp is not removed

Expected results:
Entirity of $CCM_WEB_HOME/webapps is removed

Additional info:
Comment 1 Dennis Gregorovic 2003-11-26 17:44:01 EST
@38337

Note You need to log in before you can comment on or make changes to this bug.